Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Account.BuddyCountPolicy

    java.lang.Object
      java.lang.Enum<Account.BuddyCountPolicy>
          com.skype.api.Account.BuddyCountPolicy

All Implemented Interfaces:
  EnumConverting, java.io.Serializable, java.lang.Comparable<Account.BuddyCountPolicy>

Enclosing class:
  Account

    public static enum Account.BuddyCountPolicy

extends java.lang.Enum<Account.BuddyCountPolicy>
implements EnumConverting

Recognized values for the P_BUDDYCOUNT_POLICY property that controls whether the number of this user's authorized contacts is visible to other users, either through Account.GetPropNrofAuthedBuddies or Contact.GetPropNrofAuthedBuddies when those instances reference this user. Note that since this set of values is associated with a server-side property, you must set that property using Account.SetServersideIntProperty, like this: account->SetServersideIntProperty(Account.P_BUDDYCOUNT_POLICY, Account.DISCLOSE_TO_AUTHORIZED); account->SetServersideIntProperty(Account.P_BUDDYCOUNT_POLICY, Account.DISCLOSE_TO_NOONE );

Enum Constant Summary
`DISCLOSE_TO_AUTHORIZED` Authorized remote users can retrieve the number of this user's authorized contacts (Contact.P_NROF_AUTHED_BUDDIES)
`DISCLOSE_TO_NOONE` No remote user - regardless their authorization status - can retrieve the number of this user's authorized contacts.

Field Summary
`static int` | `DISCLOSE_TO_AUTHORIZED_VALUE`
`static int` | `DISCLOSE_TO_NOONE_VALUE`

Method Summary
`EnumConverting` | `convert(int from)`
`static Account.BuddyCountPolicy` | `get(int from)`
`EnumConverting[]` | `getArray(int size)`
`EnumConverting` | `getDefault()`
`int` | `getId()`
`static Account.BuddyCountPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Account.BuddyCountPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DISCLOSE_TO_AUTHORIZED

    public static final Account.BuddyCountPolicy DISCLOSE_TO_AUTHORIZED

  Authorized remote users can retrieve the number of this user's authorized contacts (Contact.P_NROF_AUTHED_BUDDIES)

### DISCLOSE_TO_NOONE

    public static final Account.BuddyCountPolicy DISCLOSE_TO_NOONE

  No remote user - regardless their authorization status - can retrieve the number of this user's authorized contacts. Account.GetPropNrofAuthedBuddies and Contact.GetPropNrofAuthedBuddies will always return 0

Field Detail

### DISCLOSE_TO_AUTHORIZED_VALUE

    public static final int DISCLOSE_TO_AUTHORIZED_VALUE

See Also:
  Constant Field Values

### DISCLOSE_TO_NOONE_VALUE

    public static final int DISCLOSE_TO_NOONE_VALUE

See Also:
  Constant Field Values

Method Detail

### values

    public static Account.BuddyCountPolicy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Account.BuddyCountPolicy c : Account.BuddyCountPolicy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Account.BuddyCountPolicy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

  Specified by:
    `getId` in interface `EnumConverting`

### getDefault

    public EnumConverting getDefault()

  Specified by:
    `getDefault` in interface `EnumConverting`

### convert

    public EnumConverting convert(int from)

  Specified by:
    `convert` in interface `EnumConverting`

### getArray

    public EnumConverting[] getArray(int size)

  Specified by:
    `getArray` in interface `EnumConverting`

### get

    public static Account.BuddyCountPolicy get(int from)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.